## NAME

           mgd77track - A shiptrack plotting program

## SYNOPSIS

           mgd77track leg-ids -Rwest/east/south/north -Jparameters [ -A[c][size] ]
           [ -Btickinfo ] [ -Dastartdate ] [ -Dbstopdate ] [ -K ] [ -Mtrackticks ]
           [   -O   ]   [   -P   ]   [   -Sastartdist   ]   [   -Sbstopdist   ]  [
           -TT|t|dms,mc,mfs,mf,mfc ] [ -U[dx/dy/][label] ] [ -V  ]  [  -Wpen  ]  [
           -Xx-shift ] [ -Yy-shift ] [ -ccopies ]

## DESCRIPTION

           mgd77track  reads  NGDC MGD-77 cruises and creates PostScript code that
           will plot one or more ship tracks on a map using the specified  projec-
           tion. The PostScript code is written to standard output.

           leg-ids
                  Can be one or more NGDC names, like 01010007 etc.

           -J     Selects  the  map  projection. Scale is UNIT/degree, 1:xxxxx, or
                  width in UNIT (upper case modifier).  UNIT is cm,  inch,  or  m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the  scale/width  value.   For map height, max dimension, or min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale   (Oblique   Mercator  -  point  and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale  (Equidistant  Cylindrical  Projection (Plate Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
                  -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
                  -Juzone/scale (UTM - Universal Transverse Mercator)
                  -Jylon0/lats/scale (Basic Cylindrical Projection)

                  AZIMUTHAL PROJECTIONS:

                  -Jalon0/lat0/scale (Lambert).
                  -Jelon0/lat0/scale (Equidistant).
                  -Jflon0/lat0/horizon/scale (Gnomonic).
                  -Jglon0/lat0/scale (Orthographic).
                  -Jslon0/lat0/[slat/]scale (General Stereographic)

                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin] (polar (theta,r)  coordinates,  optional  a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d]  (Linear, log, and power
                  scaling)
                  More details can be found in the psbasemap man pages.

           -R     xmin, xmax, ymin, and ymax specify the Region of  interest.  For
                  geographic  regions,  these  limits  correspond  to  west, east,
                  south, and north and you may specify them in decimal degrees  or
                  in  [+-]dd:mm[:ss.xxx][W|E|S|N]  format.  Append r if lower left
                  and upper right map coordinates are given instead of  wesn.  The
                  two  shorthands  -Rg  -Rd  stand  for  global  domain  (0/360 or
                  -180/+180 in longitude respectively, with -90/+90 in  latitude).
                  For  calendar time coordinates you may either give relative time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT;  append  t  to  -JX|x),  or absolute time of the form
                  [date]T[clock] (append T to -JX|x). At least  one  of  date  and
                  clock must be present; the T is always required. The date string
                  must be of the form [-]yyyy[-mm[-dd]]  (Gregorian  calendar)  or
                  yyyy[-Www[-d]]  (ISO week calendar), while the clock string must
                  be of the form hh:mm:ss[.xxx]. The use of delimiters  and  their
                  type  and  positions must be as indicated (however, input/output
                  and plotting formats are flexible).

## OPTIONS

           No space between the option flag and the associated arguments.

           -A     Annotate each leg every time it enters the  plot.  Append  c  to
                  annotate  using  the  MGD77 cruise ID [Default uses the filename
                  prefix]. Optional size is the font  size  in  points.   The  leg
                  annotation font is controlled by LABEL_FONT.

           -B     Sets  map  boundary  annotation  and tickmark intervals; see the
                  psbasemap man page for all the details.

           -Da    Do  not  plot  data   collected   before   startdate   (yyyy-mm-
                  ddT[hh:mm:ss]) [Default is first day].

           -Db    Do   not   plot   data   collected   after   stopdate  (yyyy-mm-
                  ddT[hh:mm:ss]). [Default is last day].

           -K     More PostScript code will be appended later [Default  terminates
                  the plot system].

           -M     To put time/distance Marks on the track. E.g. a500ka24ht6h means
                  (a)nnotate every 500 km (k) and  24  h(ours),  with  (t)ickmarks
                  every  500  km and 6 hours.  Alternatively you may use the modi-
                  fiers d (days) and n (nautical miles).

           -O     Selects Overlay plot mode [Default initializes a new  plot  sys-
                  tem].

           -T     Controlls the attributes of the three kinds of  markers  (T  for
                  the  first time marker in a new day, t for additional time mark-
                  ers in the same day, and d for distance markers).  For  each  of
                  these  you  can specify the 5 comma-separated attributes marker-
                  size, markercolor, markerfontsize, markerfont,  and  markerconf-
                  color. Repeat the -T option for each marker type.

           -U     Draw  Unix System time stamp on plot. User may specify where the
                  lower left corner of the stamp should fall on the page  relative
                  to  lower  left corner of plot. Optionally, append a label, or c
                  (which will  plot  the  command  string.).  The  GMT  parameters
                  UNIX_TIME  and  UNIX_TIME_POS can affect the appearance; see the
                  gmtdefaults man page for details.

           -W     pen is the pne used for the trackline. [Default is 0.25p,black].
                  [Default is solid].

           -X -Y  Shift  origin of plot by (x-shift,y-shift).  Prepend a for abso-
                  lute coordinates; the default (r) will reset plot origin.   Give
                  c to center plot using current page size.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -c     Specifies the number of plot copies. [Default is 1].

## EXAMPLES

           To generate a Mercator plot of the track of the cruise 01010007 in  the
           area  70W to 20E, 40S to 20N, using a Mercator scale of 0.1inch/degree,
           label the tracks with 10 points  characters,  annotate  the  boundaries
           every  10  degrees,  draw gridlines every 5 degrees, and mark the track
           every day and 1000 km, with ticks every 6 hours and 250  km,  and  send
           the plot to the default printer, enter the following command:

           mgd77track    01010007    -R70W/20E/40S/20N    -Jm0.1    -B10g5    -A10
           -Ma1da1000kf6hf250k | lpr

## SEE ALSO

           mgd77info(GMTMANSECTION), psbasemap(GMTMANSECTION) mgd77list(GMTMANSEC-
           TION)

## REFERENCES

           Wessel,  P.,  and W. H. F. Smith, 2004, The Generic Mapping Tools (GMT)
           version 4 Technical Reference & Cookbook, SOEST/NOAA.
           Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of  Generic
           Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
           Wessel,  P.,  and W. H. F. Smith, 1995, New Version of the Generic Map-
           ping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
           Wessel, P., and W. H. F. Smith, 1995, New Version of the  Generic  Map-
           ping Tools Released, http: American Geophysical Union.
           Wessel,  P., and W. H. F. Smith, 1991, Free Software Helps Map and Dis-
           play Data, EOS Trans., AGU, 72 (41), p. 441.